---
# icon: octicons/archive
hide:
  - navigation
---

<h1 class="hide-title">Htrflow</h1>

<div align="center"">
<img src="assets/background_htrflow_2.png" width="90%"/>
</div>


<p align="center">
    <img alt="GitHub Repo stars" src="https://img.shields.io/github/stars/AI-Riksarkivet/htrflow">
    <img alt="License" src="https://img.shields.io/github/license/AI-Riksarkivet/htrflow">
    <a href="https://github.com/AI-Riksarkivet/htrflow/actions/workflows/tests.yml">
        <img alt="Tests" src="https://github.com/AI-Riksarkivet/htrflow/actions/workflows/tests.yml/badge.svg">
    </a>
    <a href="https://github.com/AI-Riksarkivet/htrflow/actions/workflows/publish-pypi.yml">
        <img alt="PyPI" src="https://github.com/AI-Riksarkivet/htrflow/actions/workflows/publish-pypi.yml/badge.svg">
    </a>
    <a href="https://github.com/AI-Riksarkivet/htrflow/actions/workflows/deploy-docs.yml">
        <img alt="Deploy Docs" src="https://github.com/AI-Riksarkivet/htrflow/actions/workflows/deploy-docs.yml/badge.svg">
    </a>
</p>

___


## Htrflow

<!-- ![Image title](assets/labrat.png){ align=right width="300" } -->
<img src="assets/ai_lab.png" width="20%" height="20%" align="right" />


AIRA, the AI-lab at Riksarkivet (The Swedish National Archives), presents **Htrflow**!


An open-source framework designed to enhance productivity and flexibility for both Handwritten Text Recognition (HTR) and Optical Character Recogntion (OCR). It is easy to learn, delivers high performance, and is ready for seamless integration and scaling in production environments.

___


<!-- <img src="assets/riks.png" width="10%" height="10%" align="right" /> -->


## Key features
- **Standardization**: Avoid reinventing the wheel by standardizing HTR and OCR processes.
- **Intuitive Design**: User-friendly and intuitive interface. 
- **Collaboration**: Facilitate seamless collaboration both internally and with external partners within the humanities space.
- **Modular Design**: Employ the "Lego principle" to create building blocks for specific document types using “blueprints.”
- **Ease of Learning**: Simple and intuitive design that is easy to learn.
- **Robustness**: Production-ready code that has been thoroughly tested.
- **Standards-Based**: Supports various industry standard formats such as XML and JSON (and more).
<!-- nämn Alto och Page XML-->


## Installation
Install HTRFlow with pip:
```
pip install htrflow
```
For more details, see the [Installation guide](getting_started/installation.md).

## Getting started
Read the [Quickstart guide](getting_started/quick_start.md) to get started.

## Examples
Here are some example outputs and pipelines.

### Handwritten text (HTR)

### Printed text (OCR)

